package com.seeyon.apps.govdoc.debugger;

import java.util.Properties;

import com.seeyon.ctp.common.AbstractSystemInitializer;
import com.seeyon.ctp.common.SystemEnvironment;
import com.seeyon.ctp.util.PropertiesUtil;

public class GovdocDebuggerManagerImpl extends AbstractSystemInitializer implements GovdocDebuggerManager {

	public void initialize() {
		resetDebuggerParams();	
	}
	
	public void resetDebuggerParams() {
		GovdocDebuggerConstant.IS_DEBUG_VIEW = false;
		GovdocDebuggerConstant.IS_DEBUG_SEND = false;
		GovdocDebuggerConstant.IS_DEBUG_NEW = false;
		GovdocDebuggerConstant.IS_DEBUG_FINISH = false;
		GovdocDebuggerConstant.IS_DEBUG_MARK = false;
		GovdocDebuggerConstant.IS_DEBUG_BODY = false;
		GovdocDebuggerConstant.IS_DEBUG_WF = false;
		GovdocDebuggerConstant.IS_DEBUG_TEMPLATE = false;
		GovdocDebuggerConstant.IS_DEBUG_LOCK = false;
		String applicationFolder = SystemEnvironment.getApplicationFolder();
		String filepath = applicationFolder + "/WEB-INF/cfgHome/plugin/govdoc/debugger.properties";
		Properties props = PropertiesUtil.getFromAbsolutepath(filepath);
		if(props!=null) {
			if("true".equals(props.get("govdoc.summary.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_VIEW = true;
			}
			if("true".equals(props.get("govdoc.send.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_SEND = true;
			}
			if("true".equals(props.get("govdoc.new.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_NEW = true;
			}
			if("true".equals(props.get("govdoc.finish.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_FINISH = true;
			}
			if("true".equals(props.get("govdoc.mark.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_MARK = true;
			}
			if("true".equals(props.get("govdoc.body.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_BODY = true;
			}
			if("true".equals(props.get("govdoc.workflow.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_WF = true;
			}
			if("true".equals(props.get("govdoc.template.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_TEMPLATE = true;
			}
			if("true".equals(props.get("govdoc.lock.debugger"))) {
				GovdocDebuggerConstant.IS_DEBUG_LOCK = true;
			}
		}
	}
	
}
